# DescribeZoneInstanceConfigInfos

## 1. API Description

This API (DescribeZoneInstanceConfigInfos) is used to query available models in the zone.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name     | Required | Type                                                                | Description                                                                               |
| ------------------ | -------- | ------------------------------------------------------------------- | ----------------------------------------------------------------------------------------- |
| instanceChargeType | Yes      | [ChargeType](/api-reference/compute/vm/datastructure.md#chargetype) | <p>Pricing model.</p><p>PREPAID: monthly subscription.</p><p>POSTPAID: pay-as-you-go.</p> |
| zoneId             | No       | String                                                              | Zone ID.                                                                                  |
| instanceType       | No       | String                                                              | Instance model.                                                                           |

## 3. Output Parameters

| Parameter Name       | Type                                                                                               | Description                                                                                                           |
| -------------------- | -------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId            | String                                                                                             | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| instanceTypeQuotaSet | Array of [InstanceTypeQuotaItem](/api-reference/compute/vm/datastructure.md#instancetypequotaitem) | Model list in the zone.                                                                                               |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Obtain available resources.**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeZoneInstanceConfigInfos
<Common Request Params>

Request:
{
  "instanceChargeType":"PREPAID"
}

Response:
{
    "requestId":"T2AC6C0A0-4871-4106-BE90-651552D6185C",
    "response":{
        "requestId":"T2AC6C0A0-4871-4106-BE90-651552D6185C",
        "instanceTypeQuotaSet":[
            {
                "zoneId":"FRA-A",
                "instanceType":"c.4c8g",
                "cpuCount":4,
                "memory":8,
                "internetMaxBandwidthOutLimit":1500,
                "instanceTypeName":"Compute Optimized 4C8G",
            }
            ...
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/vm/virtual-machine-instance/describezoneinstanceconfiginfos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
